Query Availability
Fetch the availability of multiple products over a long period of time.
Parameters
perform_syncrequiredbooleanWhether to sync external calendars before fetching availability. Defaults to false
product_idsrequiredArray<uuid>The product IDs to fetch availability for.
show_booked_asrequiredShowBookedAsHow to interpret confirmed bookings. Defaults to unavailable
show_closed_asrequiredShowClosedAsHow to interpret blocked / closed periods. Defaults to unavailable
show_pending_asrequired"CONFIRMED" | "TENTATIVE" | "CANCELLED"How to interpret pending events. Defaults to TENTATIVE
Responses
200Availability intervals per product
TypeScript
Array<{
intervals: Array<{
end: string;
start: string;
status: "available" | "booked" | "closed" | "pending" | "unavailable";
}>;
product_id: uuid;
}>GET /availabilitycurl -X GET "https://api.bookingmood.com/v1/availability?product_id=00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"Example response
JSON
[
{
"product_id": "00000000-0000-0000-0000-000000000000",
"intervals": [
{
"start": "2026-10-30T22:26:28.131Z",
"end": "2026-11-03T22:26:28.131Z",
"status": "unavailable"
},
{
"start": "2026-11-03T22:26:28.131Z",
"end": "2027-02-07T22:26:28.131Z",
"status": "available"
}
]
}
]